Subject: Re: linux-next: m68k build failure

From: Geert Uytterhoeven <[email-masked]>
Date: Sun, 3 Aug 2008 22:00:55 +0200 (CEST)

On Sat, 2 Aug 2008, Stephen Rothwell wrote:
> On Fri, 1 Aug 2008 22:41:57 +0200 Sam Ravnborg <[email-masked]> wrote:
> > On Fri, Aug 01, 2008 at 03:52:22PM +0200, Geert Uytterhoeven wrote:
> > > BTW, is there a (good) way to have this without duplicating those header files?
> > 
> > The only solution I can come up with right now is:
> > 
> > Makefile:
> > ccflags-y += -Iarch/sparc/include
> > 
> > foo.c:
> > #include <asm/fbio.h>
> > 
> > Disadvantage is that we loose the explicit documentation that this
> > is header files from another architecture.
> > So we should at least add a comment saying this.
> > 
> > And the above would not work if the file has same filename,
> > but then that is not a likely situation either.
> 
> There is at least one of the m68k header files that includes the sparc
> file of the same name and then does other stuff.  So this scheme would
> not cover that  (unless we used #include_next?) 

OK, so I'll take Stephen's patch (thanks!) and send it to Linus.

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds